Bug 181993 - Review Request: charis-fonts - Charis SIL fonts
Review Request: charis-fonts - Charis SIL fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 481476
  Show dependency treegraph
 
Reported: 2006-02-18 10:57 EST by Roozbeh Pournader
Modified: 2009-01-25 08:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-19 12:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2006-02-18 10:57:53 EST
Spec Url: http://guava.farsiweb.info/~roozbeh/charis-fonts.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/charis-fonts-4.0.02-1.src.rpm
Description:

Charis SIL provides glyphs for a wide range of Latin and Cyrillic characters.
Charis is similar to Bitstream Charter, one of the first fonts designed
specifically for laser printers. It is highly readable and holds up well in
less-than-ideal reproduction environments. It also has a full set of styles
- regular, italic, bold, bold italic - and so is more useful in general
publishing than Doulos SIL. Charis is a serif proportionally spaced font
optimized for readability in long printed documents.
Comment 1 Jason Tibbitts 2006-02-18 14:54:41 EST
This is a nice, clean package; you should consider submitting a specfile
template for fonts.  Upstream's download system is annoying, but that's not your
fault and you at least provided instructions for getting the source.

rpmlint says:

W: charis-fonts invalid-license SIL Open Font License
W: charis-fonts wrong-file-end-of-line-encoding
/usr/share/doc/charis-fonts-4.0.02/CharisSIL4FontDocumentation.pdf

The license is acceptable; it's probably worth opening a bug against rpmlint to
get it added.  The second warning is just rpmlint being dumb; there's no point
in paying attention to line endings in a PDF file.

Anyway:
rpmlint output is fine.
The package meets the naming and packaging guidelines.
The specfile is properly named and follows rather exactly that of a previously
accepted package.
The source file matches upstream.
The license is appropriate and included as %doc.

Approved.
Comment 2 Roozbeh Pournader 2006-02-19 12:31:17 EST
Thanks a lot for the review. Imported and built.
Comment 3 Sarantis Paskalis 2006-02-20 04:36:46 EST
Just a reminder that fonts.cache-1 file ghosting is not needed for FC5.  See
http://www.redhat.com/archives/fedora-extras-list/2006-January/msg00918.html
Comment 4 Rex Dieter 2006-02-20 06:01:08 EST
OTOH, ghosting fonts.cache-1 doesn't hurt anything either, and maintains
compability with older releases.

Note You need to log in before you can comment on or make changes to this bug.